org.apache.flume

## Class ChannelFullException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.ChannelException
        - - org.apache.flume.ChannelFullException

- All Implemented Interfaces:
    Serializable

      public class ChannelFullException
      extends ChannelException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelFullException(String message)`
    `ChannelFullException(String message, Throwable ex)`
    `ChannelFullException(Throwable ex)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelFullException

          public ChannelFullException(String message)

      Parameters:
        `message` - the exception message

    - #### ChannelFullException

          public ChannelFullException(Throwable ex)

      Parameters:
        `ex` - the causal exception

    - #### ChannelFullException

          public ChannelFullException(String message,
                              Throwable ex)

      Parameters:
        `message` - the exception message
        `ex` - the causal exception

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.